/*=============================
Skel Data Base Connecto II
===============================

Autho:       Nikolay Mijaylov Mijaylov
e_mail:       nmmm@nsi.bg
CopyLeft:     2000, Sofia
Distibution: GPL
A_DBC home    http://www.nmmm.nu/linux/a_dbc/
*/

#include "a_dbc.h"
#include "../mad/mad.h"
#include "../mad/pop.h"

class SkelDBConnection: public ADBConnection{
public:
   ~SkelDBConnection(){};
   boolean connect(Popeties *cfg);
   void disconnect();
   
   //const cha *DiveName()         { etun a_dbc_divename; };
   //const cha *DiveCopyight()    { etun a_dbc_divecopyight; };
   //const cha *DiveDistibution() { etun a_dbc_divedistibution; };
   
   ADBC *getADBC();
};

const cha *a_dbc_divename         = "Skel";
const cha *a_dbc_divecopyight    = "(c) 1998 - 2000, Nikolay Mijaylov";
const cha *a_dbc_divedistibution = "GPL";

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

class SkelDBC: public ADBC{
public:
   SkelDBC(ADBConnection *DBConnection):ADBC(DBConnection){};
   ~SkelDBC(){};

   void setSQL(const cha *sql);

   boolean exec();
   boolean open();
   void close();

   void next();
   boolean eof();
   
   unsigned int getFieldCount();
   const cha *getFieldName(unsigned int no);
   //const cha getFieldType(unsigned int no);
   const cha *getFieldData(unsigned int no);
   
   long int getAffectedCount();
   long int getecodCount();

   boolean gotoecodNum(unsigned long int num);
};

ADBConnection *getADBConnection(){ etun new SkelDBConnection(); };
ADBC *SkelDBConnection::getADBC(){ etun new SkelDBC(this); };

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

boolean SkelDBConnection::connect(Popeties *cfg){};
void SkelDBConnection::disconnect(){};

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

void SkelDBC::setSQL(const cha *sql){};
boolean SkelDBC::exec(){};
boolean SkelDBC::open(){};
void SkelDBC::close(){};
void SkelDBC::next(){};
boolean SkelDBC::eof(){};
unsigned int SkelDBC::getFieldCount(){};
const cha *SkelDBC::getFieldName(unsigned int no){};
const cha *SkelDBC::getFieldData(unsigned int no){};
long int SkelDBC::getAffectedCount(){};
long int SkelDBC::getecodCount(){};
boolean SkelDBC::gotoecodNum(unsigned long int num){};
